For the complete documentation index, see llms.txt. This page is also available as Markdown.

Snapshot

The following endpoints allow you to retrieve the last information available for all data kinds for a specific equipment or the entire fleet.

Fleet

get
/v2/fleet/equipments/snapshot

Returns the last information available for all data kinds for the fleet. This endpoint is paginated.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Query parameters
limitinteger · int32 · max: 50Optional

The numbers of items to return

Default: 20
offsetinteger · int32Optional

The number of items to skip before starting to collect the result set

Default: 0
searchstringOptional

Optional - if provided it will return the equipment with a fleet number or serialNumber matching the parameter

filterByInProgressSharingintegerOptional

This parameter allows filtering the equipments based on whether the equipment is currently involved in an in-progress sharing process or not.

Example: {"value":0,"summary":"Filter by not in progress sharing"}
Responses
200

Snapshot of all devices

application/json
get/v2/fleet/equipments/snapshot

Fleet following ISO 15143-3 (AEMP)

get
/v2/iso15143-3/Fleet/{pageNumber}

Returns the list of all equipments and their latest data. This endpoint is paginated.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
pageNumberinteger · int32Required

Page number to retrieve. The page number starts at 1.

Default: 1
Query parameters
filterByInProgressSharingintegerOptional

This parameter allows filtering the equipments based on whether the equipment is currently involved in an in-progress sharing process or not.

Example: {"value":0,"summary":"Filter by not in progress sharing"}
Responses
200

ISO 15143-3 Fleet Snapshot Response

application/json
snapshotTimestring · date-timeRequiredExample: 2024-01-15T10:30:00Z
versionnumberRequiredExample: 1
get/v2/iso15143-3/Fleet/{pageNumber}

Equipment

get
/v2/fleet/equipments/{id}/snapshot

Returns the last information available for all data kinds for specific equipment

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idinteger · int32Required

ID of the equipment

Responses
200

Latest snapshot of the machine

application/json

Snapshot of the specified device for all kinds

get/v2/fleet/equipments/{id}/snapshot

Last updated

Was this helpful?